RelayAPI

Update an idea

PATCH
/v1/ideas/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.relayapi.dev/v1/ideas/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "title": "string",
  "content": "string",
  "group_id": "string",
  "position": 0,
  "assigned_to": "string",
  "converted_to_post_id": "string",
  "tags": [
    {
      "id": "string",
      "name": "string",
      "color": "string",
      "workspace_id": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "media": [
    {
      "id": "string",
      "url": "string",
      "type": "image",
      "alt": "string",
      "position": 0
    }
  ],
  "workspace_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo